TestAbstractCompiler (cpptasks 1.0b5 Test API)
Keywords: net.sf.antcontrib.cpptasks.compiler.TestAbstractCompiler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.compiler
Class TestAbstractCompiler

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sf.antcontrib.cpptasks.compiler.TestAbstractProcessor
                  net.sf.antcontrib.cpptasks.compiler.TestAbstractCompiler

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  TestBorlandCCompiler, TestMetaObjectCompiler

    public class TestAbstractCompiler

extends TestAbstractProcessor

Test for abstract compiler class Override create to test concrete compiler implementions

Constructor Summary
`TestAbstractCompiler(java.lang.String name)`

Method Summary
`protected net.sf.antcontrib.cpptasks.compiler.AbstractProcessor` | `create()`
`protected java.lang.String` | `getObjectExtension()`
`void` | `testCanParseTlb()`
`void` | `testGetOutputFileName1()`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.TestAbstractProcessor
`testBid, testGetIdentfier`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestAbstractCompiler

    public TestAbstractCompiler(java.lang.String name)

Method Detail

### create

    protected net.sf.antcontrib.cpptasks.compiler.AbstractProcessor create()

  Overrides:
    `create` in class `TestAbstractProcessor`

### getObjectExtension

    protected java.lang.String getObjectExtension()

### testCanParseTlb

    public void testCanParseTlb()

### testGetOutputFileName1

    public void testGetOutputFileName1()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.